- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_session_t

# mongoc_client_session_advance_cluster_time()

## Synopsis

    void
    mongoc_client_session_advance_cluster_time (mongoc_client_session_t *session,
                                                const bson_t *cluster_time);

Advance the cluster time for a session. Has an effect only if the new cluster time is greater than the session’s current cluster time.

Use mongoc_client_session_advance_operation_time() and mongoc_client_session_advance_cluster_time() to copy the operationTime and clusterTime from another session, ensuring subsequent operations in this session are causally consistent with the last operation in the other session

## Parameters

- `session`: A mongoc_client_session_t.
- `cluster_time`: The session’s new cluster time, as a `bson_t` like {“cluster time”: <timestamp>}.

### See Also:

mongoc_client_session_advance_operation_time

mongoc_client_session_destroy

mongoc_client_session_get_client

mongoc_client_session_get_cluster_time

mongoc_client_session_get_lsid

mongoc_client_session_get_operation_time

mongoc_client_session_get_opts

mongoc_client_session_t

mongoc_client_start_session

mongoc_session_opts_clone

mongoc_session_opts_destroy

mongoc_session_opts_get_causal_consistency

mongoc_session_opts_new

mongoc_session_opts_set_causal_consistency

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.